<template>
  <!--药品责任人查询 -->
  <p-grid-form ref="grid" :span="span" :label-col="{ span: 9 }" :items="items" @submit="hanlderSubmit" />
</template>
<script>
import setPopupVendor from '@/views/example/modules/form/drugResponsiblePerson.js'

export default {
  data() {
    return {
      span: 8,
      items: this.setItems({}, this.search, this.ok),
    }
  },
  mounted() {},
  computed: {},
  watch: {},
  methods: {
    setItems(params = {}) {
      return [
        ...setPopupVendor({
          label: '选择基药责任人',
          name: 'bgoodsresman',
          ok: this.ok,
          required: true, //是否必填
          vendorcode: true, //是否显示物流商编码默认显示
          ...params,
        }),
      ]
    },
    search(value, event, form) {
      this.items = this.setItems({ parent_id: 123 })
    },
    ok() {
      console.log('21212')
    },
    hanlderSubmit() {},
  },
}
</script>
<style lang="less"></style>
